Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.persist
Class PersistConst

    java.lang.Object
      org.encog.persist.PersistConst

    public final class PersistConst

extends Object

Some common persistance constants.

Field Summary
`static String` | `ACTIVATION_CYCLES` Snapshot.
`static String` | `ACTIVATION_FUNCTION` Activation function.
`static String` | `ACTIVATION_TYPE` An activation function.
`static String` | `COLS`
`static String` | `DATA` Data.
`static String` | `DEPTH` Depth.
`static String` | `DESCRIPTION` A description.
`static String` | `ENABLED` Enabled.
`static String` | `ERROR` Error.
`static String` | `IDATA` idata.
`static String` | `INPUT_COUNT` The input count.
`static String` | `INSTAR` Instar.
`static String` | `KERNEL` Kernel.
`static String` | `LINKS` Links.
`static String` | `LIST` List.
`static String` | `MATRIX` matrix.
`static String` | `MAX`
`static String` | `MIN`
`static String` | `NAME` A name.
`static String` | `NATIVE` Native.
`static String` | `NEURON_COUNT` Neurons.
`static String` | `NEURONS` Neuron count.
`static String` | `OUTPUT` Output.
`static String` | `OUTPUT_COUNT` The output count.
`static String` | `PROPERTIES` Properties.
`static String` | `PROPERTY_F1_COUNT` The F1 count.
`static String` | `PROPERTY_F2_COUNT` The F2 count.
`static String` | `PROPERTY_ID` Property id.
`static String` | `PROPERTY_WEIGHTS_F1_F2` The weights from F1 to F2.
`static String` | `PROPERTY_WEIGHTS_F2_F1` The weights from F2 to F1.
`static String` | `RECURRENT` Recurrent.
`static String` | `ROWS`
`static String` | `SIGMA` Sigma.
`static String` | `SIZE`
`static String` | `SUMS` Sums
`static String` | `TEMPERATURE` Temperature.
`static String` | `THRESHOLDS` Thresholds.
`static String` | `TYPE` Type.
`static String` | `TYPE_ART1` An ART1 neural network.
`static String` | `TYPE_BAM` A BAM neural network.
`static String` | `TYPE_BASIC_NETWORK` A neural network.
`static String` | `TYPE_BASIC_SPECIES` A species.
`static String` | `TYPE_BOLTZMANN` A Boltzmann machine.
`static String` | `TYPE_HOPFIELD` A Hopfield neural network.
`static String` | `TYPE_NEAT` A NEAT neural network.
`static String` | `TYPE_NEAT_GENOME` NEAT genome.
`static String` | `TYPE_NEAT_INNOVATION` NEAT innovation.
`static String` | `TYPE_NEAT_NEURON_GENE` A neuron gene.
`static String` | `TYPE_NEAT_POPULATION` A NEAT population.
`static String` | `TYPE_RBF_NETWORK` A RBF network.
`static String` | `TYPE_SOM` A SOM neural network.
`static String` | `TYPE_SVM` A support vector machine.
`static String` | `VERSION` Version.
`static String` | `WEIGHT` Weight.
`static String` | `WEIGHTS` Weights.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_HOPFIELD

    public static final String TYPE_HOPFIELD

  A Hopfield neural network.

  See Also:
    Constant Field Values

### TYPE_BOLTZMANN

    public static final String TYPE_BOLTZMANN

  A Boltzmann machine.

  See Also:
    Constant Field Values

### TYPE_ART1

    public static final String TYPE_ART1

  An ART1 neural network.

  See Also:
    Constant Field Values

### TYPE_BAM

    public static final String TYPE_BAM

  A BAM neural network.

  See Also:
    Constant Field Values

### TYPE_SOM

    public static final String TYPE_SOM

  A SOM neural network.

  See Also:
    Constant Field Values

### TYPE_NEAT

    public static final String TYPE_NEAT

  A NEAT neural network.

  See Also:
    Constant Field Values

### TYPE_NEAT_POPULATION

    public static final String TYPE_NEAT_POPULATION

  A NEAT population.

  See Also:
    Constant Field Values

### TYPE_BASIC_SPECIES

    public static final String TYPE_BASIC_SPECIES

  A species.

  See Also:
    Constant Field Values

### TYPE_NEAT_NEURON_GENE

    public static final String TYPE_NEAT_NEURON_GENE

  A neuron gene.

  See Also:
    Constant Field Values

### TYPE_SVM

    public static final String TYPE_SVM

  A support vector machine.

  See Also:
    Constant Field Values

### TYPE_BASIC_NETWORK

    public static final String TYPE_BASIC_NETWORK

  A neural network.

  See Also:
    Constant Field Values

### TYPE_RBF_NETWORK

    public static final String TYPE_RBF_NETWORK

  A RBF network.

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  A name.

  See Also:
    Constant Field Values

### DESCRIPTION

    public static final String DESCRIPTION

  A description.

  See Also:
    Constant Field Values

### NEURON_COUNT

    public static final String NEURON_COUNT

  Neurons.

  See Also:
    Constant Field Values

### THRESHOLDS

    public static final String THRESHOLDS

  Thresholds.

  See Also:
    Constant Field Values

### WEIGHTS

    public static final String WEIGHTS

  Weights.

  See Also:
    Constant Field Values

### OUTPUT

    public static final String OUTPUT

  Output.

  See Also:
    Constant Field Values

### NATIVE

    public static final String NATIVE

  Native.

  See Also:
    Constant Field Values

### TEMPERATURE

    public static final String TEMPERATURE

  Temperature.

  See Also:
    Constant Field Values

### INPUT_COUNT

    public static final String INPUT_COUNT

  The input count.

  See Also:
    Constant Field Values

### OUTPUT_COUNT

    public static final String OUTPUT_COUNT

  The output count.

  See Also:
    Constant Field Values

### LIST

    public static final String LIST

  List.

  See Also:
    Constant Field Values

### DATA

    public static final String DATA

  Data.

  See Also:
    Constant Field Values

### MATRIX

    public static final String MATRIX

  matrix.

  See Also:
    Constant Field Values

### ACTIVATION_TYPE

    public static final String ACTIVATION_TYPE

  An activation function.

  See Also:
    Constant Field Values

### PROPERTY_F1_COUNT

    public static final String PROPERTY_F1_COUNT

  The F1 count.

  See Also:
    Constant Field Values

### PROPERTY_F2_COUNT

    public static final String PROPERTY_F2_COUNT

  The F2 count.

  See Also:
    Constant Field Values

### PROPERTY_WEIGHTS_F1_F2

    public static final String PROPERTY_WEIGHTS_F1_F2

  The weights from F1 to F2.

  See Also:
    Constant Field Values

### PROPERTY_WEIGHTS_F2_F1

    public static final String PROPERTY_WEIGHTS_F2_F1

  The weights from F2 to F1.

  See Also:
    Constant Field Values

### ACTIVATION_FUNCTION

    public static final String ACTIVATION_FUNCTION

  Activation function.

  See Also:
    Constant Field Values

### NEURONS

    public static final String NEURONS

  Neuron count.

  See Also:
    Constant Field Values

### TYPE

    public static final String TYPE

  Type.

  See Also:
    Constant Field Values

### RECURRENT

    public static final String RECURRENT

  Recurrent.

  See Also:
    Constant Field Values

### WEIGHT

    public static final String WEIGHT

  Weight.

  See Also:
    Constant Field Values

### LINKS

    public static final String LINKS

  Links.

  See Also:
    Constant Field Values

### TYPE_NEAT_INNOVATION

    public static final String TYPE_NEAT_INNOVATION

  NEAT innovation.

  See Also:
    Constant Field Values

### PROPERTY_ID

    public static final String PROPERTY_ID

  Property id.

  See Also:
    Constant Field Values

### TYPE_NEAT_GENOME

    public static final String TYPE_NEAT_GENOME

  NEAT genome.

  See Also:
    Constant Field Values

### ENABLED

    public static final String ENABLED

  Enabled.

  See Also:
    Constant Field Values

### IDATA

    public static final String IDATA

  idata.

  See Also:
    Constant Field Values

### PROPERTIES

    public static final String PROPERTIES

  Properties.

  See Also:
    Constant Field Values

### VERSION

    public static final String VERSION

  Version.

  See Also:
    Constant Field Values

### DEPTH

    public static final String DEPTH

  Depth.

  See Also:
    Constant Field Values

### ACTIVATION_CYCLES

    public static final String ACTIVATION_CYCLES

  Snapshot.

  See Also:
    Constant Field Values

### ERROR

    public static final String ERROR

  Error.

  See Also:
    Constant Field Values

### SIGMA

    public static final String SIGMA

  Sigma.

  See Also:
    Constant Field Values

### KERNEL

    public static final String KERNEL

  Kernel.

  See Also:
    Constant Field Values

### INSTAR

    public static final String INSTAR

  Instar.

  See Also:
    Constant Field Values

### SUMS

    public static final String SUMS

  Sums

  See Also:
    Constant Field Values

### ROWS

    public static final String ROWS

See Also:
  Constant Field Values

### COLS

    public static final String COLS

See Also:
  Constant Field Values

### MAX

    public static final String MAX

See Also:
  Constant Field Values

### MIN

    public static final String MIN

See Also:
  Constant Field Values

### SIZE

    public static final String SIZE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.